/*
 * This file is generated by jOOQ.
 */
package de.ship.db.enums;


import de.ship.db.CommonDd;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumLogictype implements EnumType {

    logictype_dependency("logictype.dependency"),

    logictype_validation_error("logictype.validation.error"),

    logictype_validation_warn("logictype.validation.warn"),

    logictype_jump("logictype.jump"),

    logictype_jump_abort("logictype.jump.abort");

    private final String literal;

    private EnumLogictype(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return CommonDd.COMMON_DD;
    }

    @Override
    public String getName() {
        return "enum_logictype";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal. Returns
     * <code>null</code>, if no such value could be found, see {@link
     * EnumType#lookupLiteral(Class, String)}.
     */
    public static EnumLogictype lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumLogictype.class, literal);
    }
}
